OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
PBSTileInfo Struct Reference

This struct contains information about the end of a reserved path. More...

`#include <pbs.h>`

## Public Member Functions
| PBSTileInfo ()
| Create an empty PBSTileInfo.
| PBSTileInfo (TileIndex _t, Trackdir _td, bool _okay)
| Create a PBSTileInfo with given tile, track direction and safe waiting position information.

## Data Fields
TileIndex | tile
| Tile the path ends, INVALID_TILE if no valid path was found.
Trackdir | trackdir
| The reserved trackdir on the tile.
bool | okay
| True if tile is a safe waiting position, false otherwise.

## Detailed Description

This struct contains information about the end of a reserved path.

Definition at line 28 of file pbs.h.

## Constructor & Destructor Documentation

PBSTileInfo::PBSTileInfo | ( | TileIndex | _t,
|  | Trackdir | _td,
|  | bool | _okay
| ) |  |
| inline

Create a PBSTileInfo with given tile, track direction and safe waiting position information.

Parameters

  _t | The tile where the path ends.
  _td | The reserved track dir on the tile.
  _okay | Whether the tile is a safe waiting point or not.

Definition at line 44 of file pbs.h.

The documentation for this struct was generated from the following file:

- src/pbs.h